CrlIdentifier (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.esf

## Class CrlIdentifier

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.esf.CrlIdentifier

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CrlIdentifier
      extends ASN1Object

        CrlIdentifier ::= SEQUENCE
       {
         crlissuer    Name,
         crlIssuedTime  UTCTime,
         crlNumber    INTEGER OPTIONAL
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrlIdentifier(X500Name crlIssuer, ASN1UTCTime crlIssuedTime)`
    `CrlIdentifier(X500Name crlIssuer, ASN1UTCTime crlIssuedTime, java.math.BigInteger crlNumber)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1UTCTime` | `getCrlIssuedTime()`
    `X500Name` | `getCrlIssuer()`
    `java.math.BigInteger` | `getCrlNumber()`
    `static CrlIdentifier` | `getInstance(java.lang.Object obj)`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CrlIdentifier

          public CrlIdentifier(X500Name crlIssuer,
                               ASN1UTCTime crlIssuedTime)

    - #### CrlIdentifier

          public CrlIdentifier(X500Name crlIssuer,
                               ASN1UTCTime crlIssuedTime,
                               java.math.BigInteger crlNumber)

  - ### Method Detail

    - #### getInstance

          public static CrlIdentifier getInstance(java.lang.Object obj)

    - #### getCrlIssuer

          public X500Name getCrlIssuer()

    - #### getCrlIssuedTime

          public ASN1UTCTime getCrlIssuedTime()

    - #### getCrlNumber

          public java.math.BigInteger getCrlNumber()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.